#include "key.h"
#include "mini/pad/pad.h"
#include "mini/win/win.h"

#include "backends/backend.h"

namespace mini
{
    namespace key
    {
        bool down(uint8_t i) {
            return backend::input::key::down(i);
        }

        bool press(uint8_t i) {
            return backend::input::key::press(i);
        }

        int press() {
            return backend::input::key::press();
        }

        bool any() {
            return backend::input::key::any();
        }

        void text(const bool enable) {
            backend::input::key::text(enable);
        }

        const char* utf8char() {
            return backend::input::key::utf8char();
        }

    }
}